DispatchIdentifier (JACOB : Java COM Bridge API Docs)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jacob.com
Class DispatchIdentifier

    java.lang.Object
      com.jacob.com.DispatchIdentifier

    public class DispatchIdentifier

extends java.lang.Object

A bunch of DispatchIds that were pulled out of the Dispatch class for version 1.14.

Field Summary
`static int` | `DISPID_ABOUTBOX`
`static int` | `DISPID_AMBIENT_APPEARANCE`
`static int` | `DISPID_AMBIENT_AUTOCLIP`
`static int` | `DISPID_AMBIENT_BACKCOLOR`
`static int` | `DISPID_AMBIENT_CHARSET`
`static int` | `DISPID_AMBIENT_CODEPAGE`
`static int` | `DISPID_AMBIENT_DISPLAYASDEFAULT`
`static int` | `DISPID_AMBIENT_DISPLAYNAME`
`static int` | `DISPID_AMBIENT_FONT`
`static int` | `DISPID_AMBIENT_FORECOLOR`
`static int` | `DISPID_AMBIENT_LOCALEID`
`static int` | `DISPID_AMBIENT_MESSAGEREFLECT`
`static int` | `DISPID_AMBIENT_PALETTE`
`static int` | `DISPID_AMBIENT_SCALEUNITS`
`static int` | `DISPID_AMBIENT_SHOWGRABHANDLES`
`static int` | `DISPID_AMBIENT_SHOWHATCHING`
`static int` | `DISPID_AMBIENT_SUPPORTSMNEMONICS`
`static int` | `DISPID_AMBIENT_TEXTALIGN`
`static int` | `DISPID_AMBIENT_TRANSFERPRIORITY`
`static int` | `DISPID_AMBIENT_UIDEAD`
`static int` | `DISPID_AMBIENT_USERMODE`
`static int` | `DISPID_APPEARANCE`
`static int` | `DISPID_AUTOSIZE`
`static int` | `DISPID_BACKCOLOR`
`static int` | `DISPID_BACKSTYLE`
`static int` | `DISPID_BORDERCOLOR`
`static int` | `DISPID_BORDERSTYLE`
`static int` | `DISPID_BORDERVISIBLE`
`static int` | `DISPID_BORDERWIDTH`
`static int` | `DISPID_CAPTION`
`static int` | `DISPID_CLICK`
`static int` | `DISPID_COLLECT`
`static int` | `DISPID_CONSTRUCTOR`
`static int` | `DISPID_DBLCLICK`
`static int` | `DISPID_DESTRUCTOR`
`static int` | `DISPID_DOCLICK`
`static int` | `DISPID_DRAWMODE`
`static int` | `DISPID_DRAWSTYLE`
`static int` | `DISPID_DRAWWIDTH`
`static int` | `DISPID_ENABLED`
`static int` | `DISPID_ERROREVENT`
`static int` | `DISPID_EVALUATE`
`static int` | `DISPID_FILLCOLOR`
`static int` | `DISPID_FILLSTYLE`
`static int` | `DISPID_FONT`
`static int` | `DISPID_FORECOLOR`
`static int` | `DISPID_HWND`
`static int` | `DISPID_KEYDOWN`
`static int` | `DISPID_KEYPRESS`
`static int` | `DISPID_KEYUP`
`static int` | `DISPID_MOUSEDOWN`
`static int` | `DISPID_MOUSEICON`
`static int` | `DISPID_MOUSEMOVE`
`static int` | `DISPID_MOUSEPOINTER`
`static int` | `DISPID_MOUSEUP`
`static int` | `DISPID_NEWENUM`
`static int` | `DISPID_PICTURE`
`static int` | `DISPID_PROPERTYPUT`
`static int` | `DISPID_READYSTATE`
`static int` | `DISPID_READYSTATECHANGE`
`static int` | `DISPID_REFRESH`
`static int` | `DISPID_TABSTOP`
`static int` | `DISPID_TEXT`
`static int` | `DISPID_UNKNOWN`
`static int` | `DISPID_VALID`
`static int` | `DISPID_VALUE`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DISPID_UNKNOWN

    public static final int DISPID_UNKNOWN

See Also:
  Constant Field Values

### DISPID_VALUE

    public static final int DISPID_VALUE

See Also:
  Constant Field Values

### DISPID_PROPERTYPUT

    public static final int DISPID_PROPERTYPUT

See Also:
  Constant Field Values

### DISPID_NEWENUM

    public static final int DISPID_NEWENUM

See Also:
  Constant Field Values

### DISPID_EVALUATE

    public static final int DISPID_EVALUATE

See Also:
  Constant Field Values

### DISPID_CONSTRUCTOR

    public static final int DISPID_CONSTRUCTOR

See Also:
  Constant Field Values

### DISPID_DESTRUCTOR

    public static final int DISPID_DESTRUCTOR

See Also:
  Constant Field Values

### DISPID_COLLECT

    public static final int DISPID_COLLECT

See Also:
  Constant Field Values

### DISPID_AUTOSIZE

    public static final int DISPID_AUTOSIZE

See Also:
  Constant Field Values

### DISPID_BACKCOLOR

    public static final int DISPID_BACKCOLOR

See Also:
  Constant Field Values

### DISPID_BACKSTYLE

    public static final int DISPID_BACKSTYLE

See Also:
  Constant Field Values

### DISPID_BORDERCOLOR

    public static final int DISPID_BORDERCOLOR

See Also:
  Constant Field Values

### DISPID_BORDERSTYLE

    public static final int DISPID_BORDERSTYLE

See Also:
  Constant Field Values

### DISPID_BORDERWIDTH

    public static final int DISPID_BORDERWIDTH

See Also:
  Constant Field Values

### DISPID_DRAWMODE

    public static final int DISPID_DRAWMODE

See Also:
  Constant Field Values

### DISPID_DRAWSTYLE

    public static final int DISPID_DRAWSTYLE

See Also:
  Constant Field Values

### DISPID_DRAWWIDTH

    public static final int DISPID_DRAWWIDTH

See Also:
  Constant Field Values

### DISPID_FILLCOLOR

    public static final int DISPID_FILLCOLOR

See Also:
  Constant Field Values

### DISPID_FILLSTYLE

    public static final int DISPID_FILLSTYLE

See Also:
  Constant Field Values

### DISPID_FONT

    public static final int DISPID_FONT

See Also:
  Constant Field Values

### DISPID_FORECOLOR

    public static final int DISPID_FORECOLOR

See Also:
  Constant Field Values

### DISPID_ENABLED

    public static final int DISPID_ENABLED

See Also:
  Constant Field Values

### DISPID_HWND

    public static final int DISPID_HWND

See Also:
  Constant Field Values

### DISPID_TABSTOP

    public static final int DISPID_TABSTOP

See Also:
  Constant Field Values

### DISPID_TEXT

    public static final int DISPID_TEXT

See Also:
  Constant Field Values

### DISPID_CAPTION

    public static final int DISPID_CAPTION

See Also:
  Constant Field Values

### DISPID_BORDERVISIBLE

    public static final int DISPID_BORDERVISIBLE

See Also:
  Constant Field Values

### DISPID_APPEARANCE

    public static final int DISPID_APPEARANCE

See Also:
  Constant Field Values

### DISPID_MOUSEPOINTER

    public static final int DISPID_MOUSEPOINTER

See Also:
  Constant Field Values

### DISPID_MOUSEICON

    public static final int DISPID_MOUSEICON

See Also:
  Constant Field Values

### DISPID_PICTURE

    public static final int DISPID_PICTURE

See Also:
  Constant Field Values

### DISPID_VALID

    public static final int DISPID_VALID

See Also:
  Constant Field Values

### DISPID_READYSTATE

    public static final int DISPID_READYSTATE

See Also:
  Constant Field Values

### DISPID_REFRESH

    public static final int DISPID_REFRESH

See Also:
  Constant Field Values

### DISPID_DOCLICK

    public static final int DISPID_DOCLICK

See Also:
  Constant Field Values

### DISPID_ABOUTBOX

    public static final int DISPID_ABOUTBOX

See Also:
  Constant Field Values

### DISPID_CLICK

    public static final int DISPID_CLICK

See Also:
  Constant Field Values

### DISPID_DBLCLICK

    public static final int DISPID_DBLCLICK

See Also:
  Constant Field Values

### DISPID_KEYDOWN

    public static final int DISPID_KEYDOWN

See Also:
  Constant Field Values

### DISPID_KEYPRESS

    public static final int DISPID_KEYPRESS

See Also:
  Constant Field Values

### DISPID_KEYUP

    public static final int DISPID_KEYUP

See Also:
  Constant Field Values

### DISPID_MOUSEDOWN

    public static final int DISPID_MOUSEDOWN

See Also:
  Constant Field Values

### DISPID_MOUSEMOVE

    public static final int DISPID_MOUSEMOVE

See Also:
  Constant Field Values

### DISPID_MOUSEUP

    public static final int DISPID_MOUSEUP

See Also:
  Constant Field Values

### DISPID_ERROREVENT

    public static final int DISPID_ERROREVENT

See Also:
  Constant Field Values

### DISPID_READYSTATECHANGE

    public static final int DISPID_READYSTATECHANGE

See Also:
  Constant Field Values

### DISPID_AMBIENT_BACKCOLOR

    public static final int DISPID_AMBIENT_BACKCOLOR

See Also:
  Constant Field Values

### DISPID_AMBIENT_DISPLAYNAME

    public static final int DISPID_AMBIENT_DISPLAYNAME

See Also:
  Constant Field Values

### DISPID_AMBIENT_FONT

    public static final int DISPID_AMBIENT_FONT

See Also:
  Constant Field Values

### DISPID_AMBIENT_FORECOLOR

    public static final int DISPID_AMBIENT_FORECOLOR

See Also:
  Constant Field Values

### DISPID_AMBIENT_LOCALEID

    public static final int DISPID_AMBIENT_LOCALEID

See Also:
  Constant Field Values

### DISPID_AMBIENT_MESSAGEREFLECT

    public static final int DISPID_AMBIENT_MESSAGEREFLECT

See Also:
  Constant Field Values

### DISPID_AMBIENT_SCALEUNITS

    public static final int DISPID_AMBIENT_SCALEUNITS

See Also:
  Constant Field Values

### DISPID_AMBIENT_TEXTALIGN

    public static final int DISPID_AMBIENT_TEXTALIGN

See Also:
  Constant Field Values

### DISPID_AMBIENT_USERMODE

    public static final int DISPID_AMBIENT_USERMODE

See Also:
  Constant Field Values

### DISPID_AMBIENT_UIDEAD

    public static final int DISPID_AMBIENT_UIDEAD

See Also:
  Constant Field Values

### DISPID_AMBIENT_SHOWGRABHANDLES

    public static final int DISPID_AMBIENT_SHOWGRABHANDLES

See Also:
  Constant Field Values

### DISPID_AMBIENT_SHOWHATCHING

    public static final int DISPID_AMBIENT_SHOWHATCHING

See Also:
  Constant Field Values

### DISPID_AMBIENT_DISPLAYASDEFAULT

    public static final int DISPID_AMBIENT_DISPLAYASDEFAULT

See Also:
  Constant Field Values

### DISPID_AMBIENT_SUPPORTSMNEMONICS

    public static final int DISPID_AMBIENT_SUPPORTSMNEMONICS

See Also:
  Constant Field Values

### DISPID_AMBIENT_AUTOCLIP

    public static final int DISPID_AMBIENT_AUTOCLIP

See Also:
  Constant Field Values

### DISPID_AMBIENT_APPEARANCE

    public static final int DISPID_AMBIENT_APPEARANCE

See Also:
  Constant Field Values

### DISPID_AMBIENT_CODEPAGE

    public static final int DISPID_AMBIENT_CODEPAGE

See Also:
  Constant Field Values

### DISPID_AMBIENT_PALETTE

    public static final int DISPID_AMBIENT_PALETTE

See Also:
  Constant Field Values

### DISPID_AMBIENT_CHARSET

    public static final int DISPID_AMBIENT_CHARSET

See Also:
  Constant Field Values

### DISPID_AMBIENT_TRANSFERPRIORITY

    public static final int DISPID_AMBIENT_TRANSFERPRIORITY

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

http://jacob-project.sourceforge.net